Oracle导入导出服务端和客户端版本要一致

Oracle admin 134℃ 0评论

GPS平台、网站建设、软件开发、系统运维,找森大网络科技!
https://cnsendnet.taobao.com
来自森大科技官方博客
http://www.cnsendblog.com/index.php/?p=1459

 

2018年11月25日,我在2003系统导出,报错,是客户TNS没建好(不过这个用pl sql也能连上)

1

我重新建了一个TNS就没报这个错了,报如下错,网上查原因,都说是服务端版本和客户端版本不一致。

2

用expdb导出,暴露了真实原因。

3

服务端的版本是10.1.0.2,而客户端的版本是10.2.0.1,直接把服务端文件夹中的exp.exe等文件替换到客户端文件夹里就可以了。

4

另外:Oracle不同版本导入导出存在一些问题,比如从oracle 9i中exp出来的dmp文件(在安装有oracle 9i的机器上使用exp命令),可以imp到oracle 11g中去(装有oracle 11g的机器),但是反过来确实不行。

 

GPS平台、网站建设、软件开发、系统运维,找森大网络科技!
https://cnsendnet.taobao.com
来自森大科技官方博客
http://www.cnsendblog.com/index.php/?p=1459

转载请注明:森大科技官方博客 » Oracle导入导出服务端和客户端版本要一致

喜欢 (2)
发表我的评论
取消评论
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址